/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      
      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn1}", "click", function(sym, e) {
         //lavadora
         sym.getSymbol("laundri").play(1);
         sym.getSymbol("btn1").stop("down");
         //apagar
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_10").stop(0);
         //prender
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").play(1);
         //sym.getSymbol("sym_consumo").getSymbol("bulb_9").play();
         //sym.getSymbol("sym_consumo").getSymbol("bulb_10").play();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn2}", "click", function(sym, e) {
         //lavadora
         sym.getSymbol("vacuum").play(1);
         sym.getSymbol("btn2").stop("down");
         //apagar
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_10").stop(0);
         //prender
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_10").play(1);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn3}", "click", function(sym, e) {
         //dvd
         sym.getSymbol("dvd").play(1);
         sym.getSymbol("btn3").stop("down");
         //apagar
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_10").stop(0);
         //prender
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").play(1);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn4}", "click", function(sym, e) {
         //lavadora
         sym.getSymbol("toaster").play(1);
         sym.getSymbol("btn4").stop("down");
         //apagar
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_10").stop(0);
         //prender
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").play(1);

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn5}", "click", function(sym, e) {
         //lavadora
         sym.getSymbol("iron").play(1);
         sym.getSymbol("btn5").stop("down");
         //apagar
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_10").stop(0);
         //prender
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").play(1);
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn6}", "click", function(sym, e) {
         //lavadora
         sym.getSymbol("oven").play(1);
         sym.getSymbol("btn6").stop("down");
         //apagar
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_9").stop(0);
         sym.getSymbol("sym_consumo").getSymbol("bulb_10").stop(0);
         //prender
         sym.getSymbol("sym_consumo").getSymbol("bulb_1").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_2").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_3").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_4").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_5").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_6").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_7").play(1);
         sym.getSymbol("sym_consumo").getSymbol("bulb_8").play(1);
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'slide_5'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         //CAMBIAR ESTA OPCIÓN A PLAY SI SE DESEA INICIAR LA ANIMACIÓN O SI ES IMAGEN FIJA PONERLA EN STOP 
         sym.stop();

      });
      //Edge binding end

      

      

      

      

      

      

      

   })("slide_1");
   //Edge symbol end:'slide_1'

   //=========================================================
   
   //Edge symbol: 'Hot_Spot'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.play();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2000, function(sym, e) {
         sym.play();

      });
      //Edge binding end

   })("Hot_Spot");
   //Edge symbol end:'Hot_Spot'

   //=========================================================
   
   //Edge symbol: 'bg_defecto_simbolo'
   (function(symbolName) {   
   
   })("bg_defecto_simbolo");
   //Edge symbol end:'bg_defecto_simbolo'

   //=========================================================
   
   //Edge symbol: 'button'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("button");
   //Edge symbol end:'button'

   //=========================================================
   
   //Edge symbol: 'bulb'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 500, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("bulb");
   //Edge symbol end:'bulb'

   //=========================================================
   
   //Edge symbol: 'sym_consumo'
   (function(symbolName) {   
   
   })("sym_consumo");
   //Edge symbol end:'sym_consumo'

   //=========================================================
   
   //Edge symbol: 'laundri'
   (function(symbolName) {   
   
   })("laundri");
   //Edge symbol end:'laundri'

   //=========================================================
   
   //Edge symbol: 'vacuum'
   (function(symbolName) {   
   
   })("vacuum");
   //Edge symbol end:'vacuum'

   //=========================================================
   
   //Edge symbol: 'dvd'
   (function(symbolName) {   
   
   })("dvd");
   //Edge symbol end:'dvd'

   //=========================================================
   
   //Edge symbol: 'toaster'
   (function(symbolName) {   
   
   })("toaster");
   //Edge symbol end:'toaster'

   //=========================================================
   
   //Edge symbol: 'iron'
   (function(symbolName) {   
   
   })("iron");
   //Edge symbol end:'iron'

   //=========================================================
   
   //Edge symbol: 'oven'
   (function(symbolName) {   
   
   })("oven");
   //Edge symbol end:'oven'

})(jQuery, AdobeEdge, "EDGE-5531445");